Summary: HTTP server daemon to provide WWW services
Name: apache-ssl
Version: 1.2.4
Release: 1
Copyright: GPL
Group: Networking/Daemons
Source0: ftp://ftp.apache.org/apache/dist/apache_%{PACKAGE_VERSION}.tar.gz
Source1: poweredby.gif
Source2: index.html
Source3: httpsd.init
Source4: httpsd.log
Source5: make-test-certificate
Source6: thawte-create
Patch0: apache-1.2.3-config.patch
Patch1: apache_1.2.4.ssl.patch
BuildRoot: /tmp/apache-root
URL: http://www.apache.org/
Packager: Arnaldo Carvalho de Melo <acme@conectiva.com.br>

%description
The Apache web server is the best free web server available in the UNIX
world today. It uses HTTP (HyperText Transfer Protocol) to allow web
browsers to view documents and submit data remotely.  It has the ability
to perform a number of different functions, including proxying and
caching, and offers features such as a status monitor, dynamic type
conversion, and more. 

%prep 
%setup -n apache_%{PACKAGE_VERSION}
for I in access httpd srm; do
	cp -a conf/$I.conf-dist conf/$I.conf
done

%patch0 -p1
%patch1 -p1

find . -name '*.orig' -print0 | xargs -0 rm

%build

(cd src; ./Configure)
make OPTIM="$RPM_OPT_FLAGS" -C src

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/home/httpsd/{html,cgi-bin,icons}
mkdir -p $RPM_BUILD_ROOT/etc/httpsd/conf
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin}
mkdir -p $RPM_BUILD_ROOT/usr/man/man{1,8}
mkdir -p $RPM_BUILD_ROOT/var/spool/proxy
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init.d,rc{0,1,3,5,6}.d}
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/var/log/httpsd
mkdir -p $RPM_BUILD_ROOT/usr/local/ssl/util
ln -sf /var/log/httpsd $RPM_BUILD_ROOT/etc/httpsd/logs

cp conf/* $RPM_BUILD_ROOT/etc/httpsd/conf
cp cgi-bin/* $RPM_BUILD_ROOT/home/httpsd/cgi-bin

install -m755 -s src/httpsd $RPM_BUILD_ROOT/usr/sbin

cp $RPM_SOURCE_DIR/index.html $RPM_BUILD_ROOT/home/httpsd/html
cp $RPM_SOURCE_DIR/poweredby.gif $RPM_BUILD_ROOT/home/httpsd/icons
cp icons/* $RPM_BUILD_ROOT/home/httpsd/icons
chown -R root.root $RPM_BUILD_ROOT/home/httpsd

install -m755 $RPM_SOURCE_DIR/httpsd.init $RPM_BUILD_ROOT/etc/rc.d/init.d

for I in make-test-certificate thawte-create; do
  install -m755 $RPM_SOURCE_DIR/$I $RPM_BUILD_ROOT/usr/bin
done

for I in 0 1 6; do
	ln -sf ../init.d/httpsd.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K25httpsd
done
for I in 3 5; do
	ln -sf ../init.d/httpsd.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S85httpsd
done

install -m644 $RPM_SOURCE_DIR/httpsd.log $RPM_BUILD_ROOT/etc/logrotate.d/httpsd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config /etc/httpsd/conf/*.conf
%config /etc/httpsd/conf/mime.types
%config /etc/rc.d/init.d/httpsd.init
%config /home/httpsd/html/index.html
%config /etc/logrotate.d/httpsd
%doc ABOUT_APACHE CHANGES KEYS LICENSE README CHANGES.SSL EXTRAS.SSL LICENCE.SSL README.SSL SECURITY
%dir /etc/httpsd
%dir /etc/httpsd/conf
%dir /home/httpsd
%dir /home/httpsd/html
/etc/httpsd/conf/*.conf-dist
/etc/httpsd/logs
/etc/rc.d/rc*/*
/usr/bin/thawte-create
/usr/bin/make-test-certificate
/home/httpsd/cgi-bin
/home/httpsd/icons
/usr/sbin/httpsd
%dir /var/log/httpsd

# Contributors:
#  - Andre Freller <andre@javali.com.br>
#  - Bruno Lopes F. Cabral <bruno@openline.com.br>
#  - Fabio Dorival Victorelli <fabio@conectiva.com.br>
#  - Wanderlei Antonio Cavassin <cavassin@conectiva.com.br>
#  - Timo Karjalainen <timok@iki.fi>
#  - Manoj Kasichainula <manojk@io.com>
#  - Ximenes Zalteca <ximenes@netset.com>

%changelog

* Mon Aug 25 1997 Arnaldo Carvalho de Melo <acme@conectiva.com.br>
 - included ssl patch by Ben Laurie (for 1.2.0), modified by me for 1.2.4

* Fri Aug 22 1997 Manoj Kasichainula <manojk@io.com>
 - Updated to version 1.2.4

* Wed Aug 20 1997 Manoj Kasichainula <manojk@io.com>
 - Fixed Alpha and (potential) Sparc support

* Tue Aug 19 1997 Manoj Kasichainula <manojk@io.com>
 - Updated to 1.2.3

* Sat Aug 2 1997 Manoj Kasichainula <manojk@io.com>
 - HostnameLookups now defaults to "Off" as in 1.3a1. This reduces
   unnecessary DNS traffic
 - Added RealVideo workaround for HTTP/1.1 header bug
 - Added MSIE 4.0 PR2 workaround of HTTP/1.1 bugs, and associated patch
 - Changed .pac extension from mime.types entry to AddType directive
 - Fiddled with default CGI path
 - Put back sample CGI scripts, which somehow disappeared recently
 - Minor spec file changes

* Wed Jul 9 1997 Manoj Kasichainula <manojk@io.com>
 - Added workaround to allow applet loading using JDK 1.0.2
 - Added htpasswd man page

* Mon Jul 7 1997 Timo Karjalainen <timok@iki.fi>
 - Upgraded to version 1.2.1
